> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Elastic IPs

> List all Elastic IPs for the authenticated team. Elastic IPs are static public IP addresses that can be assigned to servers and moved between servers within the same project.

**Note:** This feature requires the `elastic_ips` feature flag to be enabled for your team. When the flag is disabled, the endpoint returns an empty list.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /elastic_ips
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /elastic_ips:
    get:
      tags:
        - Elastic Ips
      summary: List Elastic IPs
      description: >
        List all Elastic IPs for the authenticated team. Elastic IPs are static
        public IP addresses that can be assigned to servers and moved between
        servers within the same project.


        **Note:** This feature requires the `elastic_ips` feature flag to be
        enabled for your team. When the flag is disabled, the endpoint returns
        an empty list.
      operationId: list-elastic-ips
      parameters:
        - name: filter[project]
          in: query
          required: false
          description: The project ID or slug to filter by
          schema:
            type: string
        - name: filter[server]
          in: query
          required: false
          description: The server ID to filter by
          schema:
            type: string
        - name: filter[status]
          in: query
          required: false
          description: The status to filter by
          schema:
            type: string
            enum:
              - configuring
              - active
              - moving
              - releasing
              - error
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: eip_KeQbB4BoO6x10
                        type: elastic_ips
                        attributes:
                          address: 177.54.156.7
                          family: IPv4
                          prefix_length: 32
                          mode: routed
                          status: active
                          created_at: '2026-02-24T17:06:28.108Z'
                          server:
                            id: sv_2GmAlJ6BXlK1a
                            hostname: my-server
                            primary_ipv4: 177.54.157.75
                          project:
                            id: proj_AoW6vRnwkvLn0
                            name: My Project
                            slug: my-project
                          region:
                            id: region_sa_sao_paulo
                            name: São Paulo
                            location:
                              id: site_sao
                              name: São Paulo
                              slug: SAO
                    meta: {}
              schema:
                $ref: '#/components/schemas/elastic_ips'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.elastic_ips.list_elastic_ips(page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ElasticIps.ListElasticIps(ctx, operations.ListElasticIpsRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ElasticIps != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.elasticIps.listElasticIps({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    elastic_ips:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/elastic_ip_data'
        meta:
          type: object
    elastic_ip_data:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: The Elastic IP ID. May be null during initial provisioning.
        type:
          type: string
          enum:
            - elastic_ips
        attributes:
          type: object
          properties:
            address:
              type: string
              description: The IP address
            family:
              type: string
              enum:
                - IPv4
              description: The IP address family
            prefix_length:
              type: integer
              description: The prefix length (e.g., 32 for a single IP)
            mode:
              type: string
              enum:
                - routed
              description: The routing mode for this Elastic IP
            status:
              type: string
              enum:
                - configuring
                - active
                - moving
                - releasing
                - error
              description: The current status of the Elastic IP
            created_at:
              type: string
              format: date-time
              description: The timestamp when the Elastic IP was created
            server:
              type: object
              nullable: true
              description: The server this Elastic IP is assigned to
              properties:
                id:
                  type: string
                hostname:
                  type: string
                primary_ipv4:
                  type: string
                operating_system:
                  type: string
                  nullable: true
            project:
              type: object
              description: The project this Elastic IP belongs to
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            region:
              type: object
              nullable: true
              description: The region where this Elastic IP is located
              properties:
                id:
                  type: string
                  description: The region ID
                name:
                  type: string
                  description: The region name
                location:
                  type: object
                  description: The site/location within the region
                  properties:
                    id:
                      type: string
                      description: The site ID
                    name:
                      type: string
                      description: The site name
                    slug:
                      type: string
                      description: The site slug
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````